## dictclient 1.0.3.1+nmu2

=== Makefile ===
doc:
	PYTHONPATH=`pwd` pydoc2.2 dictclient > dictclient.txt
	PYTHONPATH=`pwd` pydoc2.2 -w dictclient

clean:
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.pyc"`

changelog:
	cvs2cl
	cvs commit ChangeLog
	rm ChangeLog.bak

## dictclient 1.0.2

=== debian/changelog ===
dictclient (1.0.2) unstable; urgency=low

  * Updated Debian package for Python 2.3.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Aug 2003 16:02:57 -0500

dictclient (1.0.1) unstable; urgency=low

  * Added a fix for matching.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 18 Apr 2002 12:24:17 -0500

dictclient (1.0) unstable; urgency=low

  * Initial release.  Closes: #143451.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 18 Apr 2002 06:58:31 -0500

=== debian/control ===
Source: dictclient
Section: interpreters
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>> 3.0.0), python2.3, python2.3-dev
Standards-Version: 3.5.2

Package: python2.3-dictclient
Architecture: all
Depends: python2.3
Suggests: dictd
Description: Python client library for DICT (RFC2229) protocol
 This is a new library for interacting with Dict servers.
 It defines three classes -- Connection, Database, and Definition.
 It supports all common Dict server requests, including definitions,
 matching, and getting information about available databases,
 capabilities, etc.  You can use it to communicate to a local
 or remote dictd database.  The homepage for this package (includes docs)
 is at gopher://quux.org/1/devel/dictclient.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modified by John Goerzen

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

PYTHON=python2.3
PACKAGE=python2.3-dictclient


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	#$(PYTHON) setup.py configure

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(PYTHON) setup.py build
	#/usr/bin/docbook-to-man debian/pygopherd.sgml > pygopherd.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-$(PYTHON) setup.py clean --all

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/pygopherd.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/pygopherd
	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dictclient 1.0.2ubuntu1

=== debian/changelog ===
dictclient (1.0.2ubuntu1) hoary; urgency=low

  * Build for python2.3

 -- Matthias Klose <m@klose.in-berlin.de>  Thu, 16 Dec 2004 12:41:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: dictclient
-Section: interpreters
+Section: python
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), python2.3, python2.3-dev
+Build-Depends-Indep: debhelper (>> 4.2.28), python2.4, python2.4-dev
 Standards-Version: 3.5.2
 
-Package: python2.3-dictclient
+Package: python2.4-dictclient
 Architecture: all
-Depends: python2.3
+Depends: python2.4
 Suggests: dictd
 Description: Python client library for DICT (RFC2229) protocol
  This is a new library for interacting with Dict servers.

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=3
 
-PYTHON=python2.3
-PACKAGE=python2.3-dictclient
+PYTHON=python2.4
+PACKAGE=python2.4-dictclient
 
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))

## dictclient 1.0.3

=== debian/changelog ===
dictclient (1.0.3) unstable; urgency=medium

  * Update to new Python policy.  Closes: #380774.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 11 Sep 2006 09:20:21 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,19 @@
 Source: dictclient
-Section: python
+Section: interpreters
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 4.2.28), python2.4, python2.4-dev
+Build-Depends-Indep: debhelper (>> 5.0.37.2), python, python-dev (>= 2.3), python-all-dev (>= 2.3.5-11), python-central (>= 0.5)
+Build-Depends: debhelper (>> 5.0.37.2), python-central (>= 0.5)
+XS-Python-Version: >= 2.3
 Standards-Version: 3.5.2
 
-Package: python2.4-dictclient
+Package: python-dictclient
 Architecture: all
-Depends: python2.4
+Conflicts: python2.3-dictclient (<< 1.0.3)
+Replaces: python2.3-dictclient (<< 1.0.3)
+Provides: ${python:Provides}
+Depends: ${python:Depends}
+XB-Python-Version: ${python:Versions}
 Suggests: dictd
 Description: Python client library for DICT (RFC2229) protocol
  This is a new library for interacting with Dict servers.

## dictclient 1.0.3ubuntu1

=== debian/changelog ===
dictclient (1.0.3ubuntu1) hardy; urgency=low

  * debian/control:
    - add conflict to python2.4-dictclient to fix dapper->hardy
      upgrades
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Mar 2008 07:01:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dictclient
 Section: interpreters
 Priority: optional
-Maintainer: John Goerzen <jgoerzen@complete.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends-Indep: debhelper (>> 5.0.37.2), python, python-dev (>= 2.3), python-all-dev (>= 2.3.5-11), python-central (>= 0.5)
 Build-Depends: debhelper (>> 5.0.37.2), python-central (>= 0.5)
 XS-Python-Version: >= 2.3
@@ -9,8 +10,8 @@
 
 Package: python-dictclient
 Architecture: all
-Conflicts: python2.3-dictclient (<< 1.0.3)
-Replaces: python2.3-dictclient (<< 1.0.3)
+Conflicts: python2.3-dictclient (<< 1.0.3), python2.4-dictclient (<< 1.0.3)
+Replaces: python2.3-dictclient (<< 1.0.3), python2.4-dictclient (<< 1.0.3)
 Provides: ${python:Provides}
 Depends: ${python:Depends}
 XB-Python-Version: ${python:Versions}

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=3
 
-PYTHON=python2.4
-PACKAGE=python2.4-dictclient
+PYTHON=python
+PACKAGE=python-dictclient
 
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
@@ -84,6 +84,8 @@
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs 
+	dh_pycentral
+	dh_python
 	dh_link
 	dh_strip
 	dh_compress

## dictclient 1.0.3.1

=== debian/changelog ===
dictclient (1.0.3.1) unstable; urgency=low

  * NMU. Rebuild to move files to /usr/share/pyshared. Closes: #490456.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 15:57:11 +0000

## dictclient 1.0.3.1ubuntu1

=== debian/changelog ===
dictclient (1.0.3.1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - add conflict to python2.4-dictclient to fix dapper->hardy
      upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Nov 2008 15:48:03 +0100

## dictclient 1.0.3.1ubuntu2

=== debian/changelog ===
dictclient (1.0.3.1ubuntu2) lucid; urgency=low

  * Rebuild dropping the extension for python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2010 22:05:04 +0000

## dictclient 1.0.3.1ubuntu3

=== debian/changelog ===
dictclient (1.0.3.1ubuntu3) precise; urgency=low

  * Build using dh_python2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Dec 2011 15:23:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 5.0.37.2), python, python-dev (>= 2.3), python-all-dev (>= 2.3.5-11), python-central (>= 0.5)
-Build-Depends: debhelper (>> 5.0.37.2), python-central (>= 0.5)
+Build-Depends-Indep: debhelper (>> 5.0.37.2), python, python-dev (>= 2.3), python-all-dev (>= 2.3.5-11)
+Build-Depends: debhelper (>> 5.0.37.2)
 XS-Python-Version: >= 2.3
 Standards-Version: 3.5.2

=== debian/rules ===
--- 
+++ 
@@ -84,8 +84,7 @@
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs 
-	dh_pycentral
-	dh_python
+	dh_python2
 	dh_link
 	dh_strip
 	dh_compress

## dictclient 1.0.3.1+nmu1

=== debian/changelog ===
dictclient (1.0.3.1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616789).

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 27 May 2013 08:57:40 +0200

## dictclient 1.0.3.1+nmu1build1

=== debian/changelog ===
dictclient (1.0.3.1+nmu1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:47:02 +0000

=== debian/control ===
Source: dictclient
Section: interpreters
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>> 5.0.37.2), python-all-dev (>= 2.6.6-3~)
Standards-Version: 3.5.2

Package: python-dictclient
Architecture: all
Provides: ${python:Provides}
Depends: ${python:Depends}
Suggests: dictd
Description: Python client library for DICT (RFC2229) protocol
 This is a new library for interacting with Dict servers.
 It defines three classes -- Connection, Database, and Definition.
 It supports all common Dict server requests, including definitions,
 matching, and getting information about available databases,
 capabilities, etc.  You can use it to communicate to a local
 or remote dictd database.  The homepage for this package (includes docs)
 is at gopher://quux.org/1/devel/dictclient.

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 
 	# Add here commands to install the package into debian/pygopherd.
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/pygopherd
-	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile
+	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile --install-layout=deb
 
 
 # Build architecture-dependent files here.

## dictclient 1.0.3.1+nmu2

=== debian/changelog ===
dictclient (1.0.3.1+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update DH level to 9. (Closes: #800233)
  * debian/compat: created and set to 9, instead of using DH_COMPAT.
  * debian/control:
     - Added dh-python in Build-Depends.
     - Added the ${misc:Depends} variable to provide the right install
       dependencies.
     - Bumped Standards-Version to 3.9.7.
  * debian/rules:
     - Disabled the DH_COMPAT line.
     - Fixed ignores make clean target errors. Thanks to Sebastian
       Carneiro (Closes: #694764)

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 27 Mar 2016 11:14:03 -0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: interpreters
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>> 5.0.37.2), python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.5.2
+Build-Depends: debhelper (>=9), dh-python, python-all-dev (>= 2.6.6-3~)
+Standards-Version: 3.9.7
 
 Package: python-dictclient
 Architecture: all
 Provides: ${python:Provides}
-Depends: ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}
 Suggests: dictd
 Description: Python client library for DICT (RFC2229) protocol
  This is a new library for interacting with Dict servers.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
+#export DH_COMPAT=3
 
 PYTHON=python
 PACKAGE=python-dictclient
@@ -46,7 +46,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 	-$(PYTHON) setup.py clean --all
 
 	dh_clean

## dictclient 1.0.3.2

=== debian/changelog ===
dictclient (1.0.3.2) unstable; urgency=medium

  * Ack NMU.  Closes: #800233, #694764, #616789.
  * Bump standards-version.
  * Apply patch for Unicode awareness.  Closes: #549586.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 14 Feb 2017 19:36:50 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends: debhelper (>=9), dh-python, python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 
 Package: python-dictclient
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,7 @@
 	-$(PYTHON) setup.py clean --all
 
 	dh_clean
+	rm -f *.pyc
 
 install: build
 	dh_testdir

## dictclient 1.0.3.2build1

=== debian/changelog ===
dictclient (1.0.3.2build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:32:28 +0000
